Package org.jboss.resteasy.spi.metadata

## Class DefaultResourceConstructor

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.DefaultResourceConstructor

- All Implemented Interfaces:
    `ResourceConstructor`

      public class DefaultResourceConstructor
      extends Object
      implements ResourceConstructor

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Constructor` | `constructor` |
    `protected ConstructorParameter[]` | `params` |
    `protected ResourceClass` | `resourceClass` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultResourceConstructor​(ResourceClass resourceClass, Constructor constructor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Constructor` | `getConstructor()` |
    `ConstructorParameter[]` | `getParams()` |
    `ResourceClass` | `getResourceClass()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### constructor

          protected Constructor constructor

    - #### params

          protected ConstructorParameter[] params

  - ### Constructor Detail

    - #### DefaultResourceConstructor

          public DefaultResourceConstructor​(ResourceClass resourceClass,
                                            Constructor constructor)

  - ### Method Detail

    - #### getResourceClass

          public ResourceClass getResourceClass()

      Specified by:
        `getResourceClass` in interface `ResourceConstructor`

    - #### getConstructor

          public Constructor getConstructor()

      Specified by:
        `getConstructor` in interface `ResourceConstructor`

    - #### getParams

          public ConstructorParameter[] getParams()

      Specified by:
        `getParams` in interface `ResourceConstructor`